﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Gifitti.View_Models
{
    /// <summary>
    /// VM for the HelpContextView Win Form
    /// </summary>
    public partial class HelpContext : Form
    {
        /// <summary>
        /// Instantiate and initialize a new HelpContext Win Form
        /// </summary>
        public HelpContext()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Display Opening Gif Information.
        /// </summary>
        /// <param name="sender">Caller object.</param>
        /// <param name="e">Event arguments associated with the click event.</param>
        private void openingGIF_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            richTextBox1.Text = "To open a GIF, click File->Open. Using the file browser window that appears, select the GIF that you would like to open for modification and click 'Open'.";
        }

        /// <summary>
        /// Display Saving Gif as an image Information.
        /// </summary>
        /// <param name="sender">Caller object.</param>
        /// <param name="e">Event arguments associated with the click event.</param>
        private void savingImage_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            richTextBox1.Text = "To save an image, click File->Ouput as Image... and select the file type you would like to export the frames as. Using the folder browser window that appears, select the location you would like to save the images.";
        }

        /// <summary>
        /// Display Saving Gif Information.
        /// </summary>
        /// <param name="sender">Caller object.</param>
        /// <param name="e">Event arguments associated with the click event.</param>
        private void savingGIF_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            richTextBox1.Text = "To save a GIF, click File->Save As... Using the file browser window that appears, select the location you would like to save the GIF to.";
        }

        /// <summary>
        /// Display frame selection information.
        /// </summary>
        /// <param name="sender">Caller object.</param>
        /// <param name="e">Event arguments associated with the click event.</param>
        private void pickFrames_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            richTextBox1.Text = "To select the range of frames, simply use the boxes in the bottom center of the window to adjust which frames are displayed and saved. If the range is out of bounds, the GIF may appear choppy or simply stop.";
        }

        private void playbackSpeed_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            richTextBox1.Text = "To change the playback speed, simply slide the playback speed track bar left or right. Left slows down the GIF, and right speeds up the GIF.";
        }

        private void resize_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            richTextBox1.Text = "To resize and export the GIF, click File->Resize. A dialog window will appear prompting you for a new width and height. Enter the desired sizes and click save to save the GIF as normal.";
        }
    }
}
